<div class="row accountability result-view">

  <div class="small-12 columns">
    <%= render partial: "decidim/accountability/results/nav_breadcrumb", locals: { category: result.parent.try(:category) || result.category } %>
  </div>
  <div class="small-12 columns">
    <div class="title">
      <%= icon("proposals", class: "icon", aria_label: t("models.result.fields.title", scope: "decidim.accountability"), role: "img") %>
      <h2 class="heading2"><%= translated_attribute result.title %></h2>
    </div>

    <div class="row">
      <% if component_settings.display_progress_enabled? && result.progress.present? %>
        <div class="columns section mediumlarge-3 mediumlarge-push-9">
          <div class="progress-level">
            <div class="progress-label">
              <span class="progress-text"><%= t("models.result.fields.progress", scope: "decidim.accountability") %>
                :</span>
              <span class="progress-figure">
                <%= display_percentage result.progress %>
              </span>
            </div>

            <div class="progress">
              <div class="progress-meter" style="width:<%= result.progress %>%"></div>
            </div>
          </div>
        </div>
      <% end %>

      <div class="columns mediumlarge-9 <%= component_settings.display_progress_enabled? && result.progress.present? ? "mediumlarge-pull-3" : "" %>">
        <div class="section">
          <div class="result-meta row">
            <% if result.start_date %>
              <div class="result-meta--label medium-2 columns"><%= t("models.result.fields.start_date", scope: "decidim.accountability") %></div>
              <div class="result-meta--data medium-10 columns"><%= result.start_date %></div>
            <% end %>
          </div>

          <div class="result-meta row">
            <% if result.end_date %>
              <div class="result-meta--label medium-2 columns"><%= t("models.result.fields.end_date", scope: "decidim.accountability") %></div>
              <div class="result-meta--data medium-10 columns"><%= result.end_date %></div>
            <% end %>
          </div>

          <div class="result-meta row">
            <% if result.status %>
              <div class="result-meta--label medium-2 columns"><%= t("models.result.fields.status", scope: "decidim.accountability") %></div>
              <div class="result-meta--data medium-10 columns"><%= translated_attribute(result.status.name) %></div>
            <% end %>
          </div>

          <div class="result-meta row">
            <% if result.status && translated_attribute(result.status.description).present? %>
              <div class="result-meta--label medium-2 columns"><%= t("models.status.fields.description", scope: "decidim.accountability") %></div>
              <div class="result-meta--data medium-10 columns"><%= translated_attribute(result.status.description) %></div>
            <% end %>
          </div>
        </div>
      </div>

      <hr>

      <div class="small-12 mediumlarge-8 large-9 columns">
        <div class="section result-description">
          <%== translated_attribute result.description %>
          <%= cell "decidim/tags", result, context: { extra_classes: ["tags--result"] } %>
        </div>
      </div>

      <%= render partial: "stats_box" %>

      <%= render partial: "timeline", locals: { result: result } if result.timeline_entries.any? %>
    </div>
  </div>

  <%= render partial: "stats" %>
</div>

<%= comments_for result %>
